Debian Bug report logs - #312366
[NONFREE-DOC:RFC] Includes non-free documentation (RFCs 1661/1662/1701/1702/1990)

version graph

Package: pptp-linux; Maintainer for pptp-linux is Ola Lundqvist <opal@debian.org>; Source for pptp-linux is src:pptp-linux.

Reported by: Chung-chieh Shan <ken@digitas.harvard.edu>

Date: Tue, 7 Jun 2005 18:33:03 UTC

Severity: serious

Found in version 1.5.0-5

Fixed in version pptp-linux/1.7.0-1

Done: Ola Lundqvist <opal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#312366; Package pptp-linux. Full text and rfc822 format available.

Acknowledgement sent to Chung-chieh Shan <ken@digitas.harvard.edu>:
New Bug report received and forwarded. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chung-chieh Shan <ken@digitas.harvard.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: non-free specs in /usr/share/doc/pptp-linux ?
Date: Tue, 7 Jun 2005 14:20:35 -0400
[Message part 1 (text/plain, inline)]
Package: pptp-linux
Version: 1.5.0-5
Severity: serious
Justification: Policy 2.2.1

/usr/share/doc/pptp-linux includes specification documents like
pptp-draft.txt.gz, rfc1701.txt.gz, rfc1702.txt.gz, and rfc1990.txt.gz.
I thought RFCs were not free?

Thanks,
	Ken

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11.8
Locale: LANG=zh_TW.UTF-8, LC_CTYPE=zh_TW.UTF-8 (charmap=UTF-8)

Versions of packages pptp-linux depends on:
ii  libc6                   2.3.2.ds1-22     GNU C Library: Shared libraries an
ii  ppp                     2.4.3-20050321+2 Point-to-Point Protocol (PPP) daem

-- no debconf information

-- 
Edit this signature at http://www.digitas.harvard.edu/cgi-bin/ken/sig
Mothers are the necessity of invention. --Bill Watterson
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#312366; Package pptp-linux. Full text and rfc822 format available.

Acknowledgement sent to opal@debian.org:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #10 received at 312366@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: Chung-chieh Shan <ken@digitas.harvard.edu>, 312366@bugs.debian.org
Subject: Re: Bug#312366: non-free specs in /usr/share/doc/pptp-linux ?
Date: Tue, 7 Jun 2005 22:45:03 +0200
Hello

Ok, here we go. I know why I voted against that change...

RFCs are of course not free just as the GPL is not free. It is a
standard document... Well it probably have to be removed...

Regards,

// Ola

On Tue, Jun 07, 2005 at 02:20:35PM -0400, Chung-chieh Shan wrote:
> Package: pptp-linux
> Version: 1.5.0-5
> Severity: serious
> Justification: Policy 2.2.1
> 
> /usr/share/doc/pptp-linux includes specification documents like
> pptp-draft.txt.gz, rfc1701.txt.gz, rfc1702.txt.gz, and rfc1990.txt.gz.
> I thought RFCs were not free?
> 
> Thanks,
> 	Ken
> 
> -- System Information:
> Debian Release: 3.1
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.11.8
> Locale: LANG=zh_TW.UTF-8, LC_CTYPE=zh_TW.UTF-8 (charmap=UTF-8)
> 
> Versions of packages pptp-linux depends on:
> ii  libc6                   2.3.2.ds1-22     GNU C Library: Shared libraries an
> ii  ppp                     2.4.3-20050321+2 Point-to-Point Protocol (PPP) daem
> 
> -- no debconf information
> 
> -- 
> Edit this signature at http://www.digitas.harvard.edu/cgi-bin/ken/sig
> Mothers are the necessity of invention. --Bill Watterson



-- 
 --------------------- Ola Lundqvist ---------------------------
/  opal@debian.org                     Annebergsslingan 37      \
|  opal@lysator.liu.se                 654 65 KARLSTAD          |
|  +46 (0)54-10 14 30                  +46 (0)70-332 1551       |
|  http://www.opal.dhs.org             UIN/icq: 4912500         |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36  4FE4 18A1 B1CF 0FE5 3DD9 /
 ---------------------------------------------------------------



Changed Bug title. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ola Lundqvist <opal@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chung-chieh Shan <ken@digitas.harvard.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 312366-close@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: 312366-close@bugs.debian.org
Subject: Bug#312366: fixed in pptp-linux 1.7.0-1
Date: Sun, 25 Sep 2005 05:32:05 -0700
Source: pptp-linux
Source-Version: 1.7.0-1

We believe that the bug you reported is fixed in the latest version of
pptp-linux, which is due to be installed in the Debian FTP archive:

pptp-linux_1.7.0-1.diff.gz
  to pool/main/p/pptp-linux/pptp-linux_1.7.0-1.diff.gz
pptp-linux_1.7.0-1.dsc
  to pool/main/p/pptp-linux/pptp-linux_1.7.0-1.dsc
pptp-linux_1.7.0-1_i386.deb
  to pool/main/p/pptp-linux/pptp-linux_1.7.0-1_i386.deb
pptp-linux_1.7.0.orig.tar.gz
  to pool/main/p/pptp-linux/pptp-linux_1.7.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 312366@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ola Lundqvist <opal@debian.org> (supplier of updated pptp-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 25 Sep 2005 13:49:58 +0200
Source: pptp-linux
Binary: pptp-linux
Architecture: source i386
Version: 1.7.0-1
Distribution: unstable
Urgency: low
Maintainer: Ola Lundqvist <opal@debian.org>
Changed-By: Ola Lundqvist <opal@debian.org>
Description: 
 pptp-linux - Point-to-Point Tunneling Protocol (PPTP) Client
Closes: 312366 313319 314824
Changes: 
 pptp-linux (1.7.0-1) unstable; urgency=low
 .
   * New upstream release, closes: #313319, #314824.
   * Created a debian/watch file to make it easier to update in the future.
   * Removed non-free documentation from the orig tarball.
     Reference/rfc* Reference/ms-chap.txt Reference/pptp-draft.txt
     Closes: #312366.
Files: 
 54d766cb13e27a857e086f6ebce75e76 568 net optional pptp-linux_1.7.0-1.dsc
 ef95e7b7499549df6aec5ba78889df8c 71850 net optional pptp-linux_1.7.0.orig.tar.gz
 374b5deda9f042d77841f3e5f0aec9c2 4356 net optional pptp-linux_1.7.0-1.diff.gz
 7636683d5fc3acb6967c72d26d9becaf 40694 net optional pptp-linux_1.7.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDNqOJGKGxzw/lPdkRAl2uAJ9RYElrg63x2OTE2BN+9iZZKf5bcwCfRw5D
Jr72GWFFulnVM6HpgYcim2s=
=U4z6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 06:48:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:25:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.